<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>One Message</title>
</head>
<body>
 <h1> message ok</h1>
 <form action="#" th:action="@{'/updatemsg/' +${id}}" th:object="${messageById}"  th:method="post">
     <p>Author:</p>
     <input type="text" th:field="*{author}" th:value="*{author}">
     <p>Message:</p>
     <input type="text" th:field="*{messages}" th:value="*{messages}">
     <input type="submit" value="Save">
 </form>
 <a th:href="@{'/delmsg/'+ ${messageById.id}}">delete</a>
</body>
</html>